#include<stdio.h>

int main() {
    
    /* Variables */
    int edad;

    /* Solicitamos valores para las variables */
    printf("\nDime tu edad: ");

    /* Verificamos si la entrada es un número */
    if (scanf("%d", &edad) == 1) {
        /* Condicional para seleccionar el número mayor */
        if (edad >= 18 && edad < 99) {
            printf("\nCon %d años eres mayor de edad.\n\n", edad);
        }
        else if (edad < 18 && edad > 0) {
            printf("\nCon %d años eres menor de edad.\n\n", edad);
        }
        else if (edad >= 99 && edad < 125) {
            printf("\nQue longevo eres con %d años\n\n", edad);
        }
        else if (edad >= 125) {
            printf("\nDesde de ser inmortal con %d años\n\n", edad);
        }
        else {
            printf("\nHas introducido un valor que no está dentro de los casos esperados\n\n");
        }
    } else {
        printf("\nHas introducido un valor no numérico\n\n");
    }

    return 0;
}
